

#### Figure 1, Figure 1S, Figure 2S ##### can be adapted to any of the models using plot.new() when variable is excluded and replacing with appropriate model name (eg. glm_ba_full, glm_ba_full_noroads ect.)
par(mfrow=c(9,6),mgp=c(1.3,0.3,0),mar=c(3.5,4,0.3,0.5),tcl=0.3)
visreg(glm_ba_full, "log_GPP", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Annual GPP", ylab="f(BA)",cex=1.7)
mtext("GPP", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_ba_full, "log_GPP_season", line=list(col="green"), cex=1.7, points=list(cex=0.00001, pch=0.00001), xlab="Seasonality GPP", ylab="f(BA)", mar=c(2,2,2,2))
mtext("GPP (s)", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_size_full, "log_GPP", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Annual GPP", ylab="f(Size)",cex=1.7)
mtext("GPP", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_size_full, "log_GPP_season", line=list(col="green"), cex=1.7, points=list(cex=0.00001, pch=0.00001), xlab="Seasonality GPP", ylab="f(Size)", mar=c(2,2,2,2))
mtext("GPP (s)", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_intensity_full, "log_GPP", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Annual GPP", ylab="f(Fire Intensity)",cex=1.7)
mtext("GPP", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_intensity_full, "log_GPP_season", line=list(col="green"), cex=1.7, points=list(cex=0.00001, pch=0.00001), xlab="Seasonality GPP", ylab="f(Fire Intensity)", mar=c(2,2,2,2))
mtext("GPP (s)", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_ba_full, "grass", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Grassland Cover", ylab="f(BA)",cex=1.7)
mtext("Grass", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_ba_full, "shrub", line=list(col="green"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Shrub Cover", ylab="f(BA)",cex=1.7)
mtext("Shrub", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_size_full, "grass", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Grassland Cover", ylab="f(Size)",cex=1.7)
mtext("Grass", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "shrub", line=list(col="green"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Shrub Cover", ylab="f(Size)",cex=1.7)
mtext("Shrub", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "grass", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Grassland Cover", ylab="f(Fire Intensity)",cex=1.7)
mtext("Grass", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "shrub", line=list(col="green"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Shrub Cover", ylab="f(Fire Intensity)",cex=1.7)
mtext("Shrub", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "tree", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Tree Cover", ylab="f(BA)",cex=1.7)
mtext("Tree", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_ba_full, "crop", line=list(col="purple"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Crop Cover", ylab="f(BA)",cex=1.7)
mtext("Crop", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_size_full, "tree", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Tree Cover", ylab="f(Size)",cex=1.7)
mtext("Tree", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_size_full, "crop", line=list(col="purple"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Crop Cover", ylab="f(Size)",cex=1.7)
mtext("Crop", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "tree", line=list(col="green"), points=list(cex=0.00001, pch=0.00001), xlab="Fractional Tree Cover", ylab="f(Fire Intensity)",cex=1.7)
mtext("Tree", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_intensity_full, "crop", line=list(col="purple"),points=list(cex=0.00001, pch=0.00001), xlab="Fractional Crop Cover", ylab="f(Fire Intensity)",cex=1.7)
mtext("Crop", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "sqr_roads", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="Log of Road Density",ylab="f(BA)", cex=1.7)
mtext("Roads", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "VRM", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="VRM",ylab="f(BA)", cex=1.7)
mtext("VRM", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "sqr_roads", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="Log of Road Density",ylab="f(Size)", cex=1.7)
mtext("Roads", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "VRM", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="VRM",ylab="f(Size)", cex=1.7)
mtext("VRM", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "sqr_roads", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="Log of Road Density",ylab="f(Fire Intensity)", cex=1.7)
mtext("Roads", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "VRM", line=list(col="purple"), points=list(cex=0.00001, pch=0.00001), xlab="VRM",ylab="f(Fire Intensity)", cex=1.7)
mtext("VRM", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "log_DD", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Maximum dry days", ylab="f(BA)", cex=1.7)
mtext("DD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "log_DD_season", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Seasonality dry days", ylab="f(BA)", cex=1.7)
mtext("DD (s)", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "log_DD", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Maximum dry days", ylab="f(Size)", cex=1.7)
mtext("DD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "log_DD_season", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Seasonality dry days", ylab="f(Size)", cex=1.7)
mtext("DD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "log_DD", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Maximum dry days", ylab="f(Fire Intensity)", cex=1.7)
mtext("DD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "log_DD_season", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Seasonality dry days", ylab="f(Fire Intensity)", cex=1.7)
mtext("DD (s)", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "log_VPD", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Log of VPD", ylab="f(BA)", cex=1.7)
mtext("VPD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "log_DTR", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Maximum DTR", ylab="f(BA)", cex=1.7)
mtext("DTR", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "log_VPD", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Maximum VPD", ylab="f(Size)", cex=1.7)
mtext("VPD", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "log_DTR", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Maximum DTR", ylab="f(Size)", cex=1.7)
mtext("DTR", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "log_VPD", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Maximum VPD", ylab="f(Fire Intensity)", cex=1.7)
mtext("VPD", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_intensity_full, "log_DTR", line=list(col="red"), points=list(cex=0.00001, pch=0.00001), xlab="Maximum DTR", ylab="f(Fire Intensity)", cex=1.7)
mtext("DTR", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_ba_full, "log_wind", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Log of Wind Speed", ylab="f(BA)", cex=1.7)
mtext("Wind", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_size_full, "log_wind", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Log of Wind Speed", ylab="f(Size)", cex=1.7)
mtext("Wind", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_intensity_full, "log_wind", line=list(col="red"),points=list(cex=0.00001, pch=0.00001), xlab="Log of Wind Speed", ylab="f(Fire Intensity)", cex=1.7)
mtext("Wind", side=3, line=-2, cex=1.7)
plot.new()
visreg(glm_ba_full, "sqr_popd", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Square Root of Population Density", ylab="f(BA)",cex=1.7)
mtext("Popd", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_ba_full, "sqr_light", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Mean Lightning", ylab="f(BA)", cex=1.7)
mtext("Light", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_size_full, "sqr_light", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Mean Lightning", ylab="f(Size)", cex=1.7)
mtext("Light", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_size_full, "sqr_popd", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Square Root of Population Density", ylab="f(Size)",cex=1.7)
mtext("Popd", side=3, line=-2, cex=1.7)
#plot.new()
visreg(glm_intensity_full, "sqr_light", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Mean Lightning", ylab="f(Fire Intensity)", cex=1.7)
mtext("Light", side=3, line=-2, cex=1.7)
##plot.new()
visreg(glm_intensity_full, "sqr_popd", line=list(col="blue"),points=list(cex=0.00001, pch=0.00001), xlab="Square Root of Population Density", ylab="f(Fire Intensity)",cex=1.7)
mtext("Popd", side=3, line=-2, cex=1.7)
##plot.new()



### Figure 2 #####
library(ggplot2)
library(gridExtra)
pred <- c("Annual GPP","GPP Seasonality","Tree","Shrub","Grass","Roads","Crop","VRM", "TPI","DD","DD Seasonality","VPD","DTR", "Wind","Light","Popd")
tvalues_ba <- c(63.00,14.78, -18.74,26.35,52.91,-37.32,-10.05,-21.39,18.86,70.23,59.26,39.11,19.82,-6.80,12.35,10.64)
tvalues_size <- c(0,5.18,-5.25,7.61,0,-16.47,-22.42,-5.78,0,11.16,0,5.12,14.46,14.41,5.50,0)
tvalues_intensity <- c(-18.47,3.32,9.08,0,-11.91,8.58,0,0,0,-14.27,-16.18,-47.55,0,0,-7.15,-13.49)
dat_imp_ba <- data.frame(pred, tvalues_ba)
dat_imp_size <- data.frame(pred, tvalues_size)
dat_imp_frp <- data.frame(pred, tvalues_intensity)

col <- c("Green","Green","Green","Green","Green","Purple","Purple","Purple","Purple","Red","Red","Red","Red","Red","Blue","Blue")
order <- c("Popd","Light", "Wind","DTR","VPD","DD Seasonality","DD","TPI","VRM","Crop","Roads","Shrub","Grass","Tree","GPP Seasonality","Annual GPP")


dat_imp_ba$order <- order
dat_imp_ba$order <- factor(dat_imp_ba$pred, levels = unique(dat_imp_ba$order))

dat_imp_size$order <- order
dat_imp_size$order <- factor(dat_imp_size$pred, levels = unique(dat_imp_size$order))

dat_imp_frp$order <- order
dat_imp_frp$order <- factor(dat_imp_frp$pred, levels = unique(dat_imp_frp$order))

par(mfrow=c(1,3),mar=c(4,4,4,4),tcl=0.3)
A <- ggplot(dat_imp_ba,aes(order,tvalues_ba))+geom_bar(stat="identity", width=0.8, fill=col)+geom_hline(yintercept=0)+ggtitle("Relative Importance of Predictors for Burnt Area")+coord_flip()+ theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"), text = element_text(size = 18), axis.text=element_text (size=18),plot.title =element_text (size=15.25))+labs( tag="A", y="t-values", x=" ")
B <- ggplot(dat_imp_size,aes(order,tvalues_size))+geom_bar(stat="identity", width=0.8, fill=col)+geom_hline(yintercept=0)+ggtitle("Relative Importance of Predictors for Fire Size")+coord_flip()+ theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"), text = element_text(size = 18), axis.text=element_text (size=18),plot.title =element_text (size=15.25))+labs(tag="B", y="t-values", x=" ")
C <- ggplot(dat_imp_frp,aes(order,tvalues_intensity))+geom_bar(stat="identity", width=0.8, fill=col)+geom_hline(yintercept=0)+ggtitle("Relative Importance of Predictors for Fire Intensity")+coord_flip()+ theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"), text = element_text(size = 18), axis.text=element_text (size=18), plot.title =element_text (size=15.25))+labs(tag="C", y="t-values", x=" ")
grid.arrange(A,B,C, ncol=3)

par(mfrow=c(3,1),mar=c(4,4,4,4),tcl=0.3)

plot(GPP_seasonality[[1]], col=rev(brewer.pal(11, "Spectral")), legend=TRUE, breaks=c(0,0.5,1,1.5,2,2.5,3,3.5,4,4.5,5,12), main="Seasonality of GPP", plg=list(title="Seasonality index", cex=1.7), pax=list(sides=2), axes=TRUE, maxcell=700000,mar=c(1, 1, 1,1))
plot(GPP_seasonality[[2]], col=rev(brewer.pal(11, "Spectral")), legend=TRUE, breaks=c(0,0.25,0.5,0.75,1,1.25,1.5,1.75,2,2.25,2.5), main="Seasonality of Dry Days", plg=list(title="Seasonality index", cex=1.7), pax=list(sides=2), axes=TRUE, maxcell=700000,mar=c(1, 1, 1,1))
plot(GPP_seasonality[[5]], col=rev(brewer.pal(11, "Spectral")), legend=TRUE, breaks=c(0,1,1.5,2,2.5,3,3.5,4,4.5,5.5,6,12), main="Seasonality of Lightning", plg=list(title="Seasonality index", cex=1.7), pax=list(sides=1:2), axes=TRUE, maxcell=700000,mar=c(1, 1, 1,1))


### Figure 3 ###
library(rasterVis)
library(raster)
library(RColorBrewer)

BA_obs <- rast(fire[[1]]*12)
size_obs <- rast(fire[[2]])
intensity_obs <- rast(fire[[4]])

BA_pred <- rast(fire_predicted[[2]])
size_pred <- rast(fire_predicted[[3]])
intensity_pred <- rast(fire_predicted[[4]])

par(mfrow = c(3, 2), oma = c(4, 4, .5, .5), mgp = c(2, .6, 0))
plot(BA_obs, col=rev(brewer.pal(11,"Spectral")), legend=FALSE, breaks=c(0,0.005,0.01,0.025,0.05,0.075,0.1,0.15,0.2,0.25,0.3,1), plg=list(title="Fraction\n", cex=1.7), pax=list(sides=2), axes=TRUE, maxcell=700000,mar=c(0, 1.2, 1.2,0))
mtext("Observed Burnt Area", side=1, line=-2, cex=1)
box()

plot(BA_pred, col=rev(brewer.pal(11,"Spectral")), breaks=c(0,0.005,0.01,0.025,0.05,0.075,0.1,0.15,0.2,0.25,0.3,1), plg=list(title="Fraction\n", cex=1.7), pax=list(sides=1:2), axes=FALSE, maxcell=700000, mar=c(0,0, 1.2, 6))
mtext("Predicted Burnt Area", side=1, line=-2, cex=1)
box()

plot(size_obs[[2]], col=rev(brewer.pal(11,"Spectral")), legend=FALSE, breaks=c(0.21,0.75,1,2,5,7,10,15,20,25,50,8000),plg=list(title=expression(Km^2), cex=1.7), pax=list(sides=2), axes=TRUE, maxcell=700000, mar=c(0,1.2,0,0))
mtext("Observed Fire Size", side=1, line=-2, cex=1)
box()

plot(size_pred, col=rev(brewer.pal(11,"Spectral")), breaks=c(0.21,0.75,1,2,5,7,10,15,20,25,50,8000), plg=list(title=expression(Km^2), cex=1.7), pax=list(sides=1:2), axes=FALSE, maxcell=700000, mar=c(0,0,0,6))
mtext("Predicted Fire Size", side=1, line=-2, cex=1)
box()

plot(intensity_obs[[4]], col=rev(brewer.pal(11,"Spectral")), legend=FALSE, breaks=c(10,15,20,25,30,35,40,45,50,100,200,3000), plg=list(title=expression(W.km^-2), cex=1.7), pax=list(sides=1:2), axes=TRUE, maxcell=700000, mar=c(1.2,1.2,0,0))
mtext("Observed Fire Intensity", side=1, line=-2, cex=1)
box()

plot(intensity_pred, col=rev(brewer.pal(11,"Spectral")), breaks=c(10,15,20,25,30,35,40,45,50,100,200,3000), plg=list(title=expression(W.km^-2), cex=1.7), pax=list(sides=1), axes=TRUE, maxcell=700000, mar=c(1.2,0,0,6))
mtext("Predicted Fire Intensity", side=1, line=-2, cex=1)
box()

mtext("Longitude", side=1, line=2, outer=TRUE, cex=1.7)
mtext("Latitude", side=2, line=2, outer=TRUE, cex=1.7)
